import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provinceGetDispenserSlaughterToStewardDashboardService =
  createAsyncThunk(
    "PROVINCE_GET_DISPENSER_KILLHOUSES_DASHBOARD_SERVICE",
    async (d, { dispatch }) => {
      dispatch(LOADING_START());
      const { data, status } = await axios.get(`total-steward-dashboard`, {
        params: {
          role: getRoleFromUrl(),
          date1: d.selectedDate1 ? d.selectedDate1 : null,
          date2: d.selectedDate2 ? d.selectedDate2 : null,
        },
      });
      dispatch(LOADING_END());
      return { data, status };
    }
  );
